android.support.v4.util.Pair vs android.util.Pair

我读了关于允许Android向后兼容的support.v4 lib。

因此,IIUC,当有歧义时 – 最好的做法是从android.support.v4 ...导入lib android.support.v4 ...

对?

在这里输入图像说明

Solutions Collecting From Web of "android.support.v4.util.Pair vs android.util.Pair"

是的,这是明智的,但并不总是需要的。

我这种情况Pair是API 5和相当有用的类,所以它被添加到v4库。

另一个例子是Fragments 。 如果你想使用ViewPagerFragments最有可能你需要从v4 Fragments作为ViewPager是从v4以及…